petsc-3.4.2 2013-07-02

# PetscNewLog

Allocates memory of a particular type, zeros the memory! Aligned to PETSC_MEMALIGN. Associates the memory allocated with the given object using PetscLogObjectMemory().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscNewLog(PetscObject obj,struct type,((type *))result)

Not Collective

### Input Parameter

| obj | - object memory is logged to
| type | - structure name of space to be allocated. Memory of size sizeof(type) is allocated

### Output Parameter

result -memory allocated

### See Also

PetscFree(), PetscMalloc(), PetscNew(), PetscLogObjectMemory()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages